#!/bin/bash
#
# Ver 1.0 - December, 10 - 2022
#

FILE="/export/$1"

if [[ -f "$FILE" ]] ;
then
   echo "File found"
   sed -i "1,7d" $FILE
   sed -i 's/"//g' $FILE
   sed -i 's/^[ \t]*//;s/[ \t]*$//' $FILE
   else
   echo "Nothing to do"
   exit
fi

ANZV=$(cat $FILE | wc -l)
echo "Voucher: $ANZV"

for (( X=1 ; X<=$ANZV; X++ )); do
    VO=$( sed -n ${X}p < $FILE )
    echo "VO: $VO"
    qrencode -s 6 -l H -o "/export/$1_qr_$X.png" "http://<your pfSense IP>:8002/captiveportal-index2.php?zone=<your CP zone>&auth_voucher=$VO&accept=Continue"
done